
Redmine - Defect #1503

unable to delete file attachments on wiki page

2008-06-19 20:01 - James Byrne

Status: Closed Start date: 2008-06-19

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

PostgreSQL 8.1.11

Rails (2.1.0, 2.0.2)

Redmine 1.7.2 (r1548)

Ruby 1.8.6 (2007-09-24 patchlevel 111) [i686-linux]

There is no evident means to delete a single attachment (out of many) from a wiki page.

History

#1 - 2008-06-19 20:14 - Jean-Philippe Lang

If you have 'edit wiki pages' permissions, you should see a trash just next to each file name, don't you ?

#2 - 2008-06-19 20:42 - James Byrne

Ahh.  Yes, now that you mention it there is.

However, to the uninitiated, and coming from a different UI (Trac), I probably would never have figured out on my own what that symbol was meant to

convey.  It is greyed out so that it tends to blend into the uploader's name.  Perhaps if that symbol was made red then it might stand out a little more?

#3 - 2008-06-19 22:56 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.7.2)

- Resolution set to Invalid

- Affected version deleted (0.7.2)

I personnally prefer to keep it grey :-)
